Index: procfs/Cargo.toml
===================================================================
--- procfs.orig/Cargo.toml
+++ procfs/Cargo.toml
@@ -66,11 +66,12 @@ version = "0.4"
 version = "1.0.2"
 
 [dependencies.rustix]
-version = "0.36.0"
+version = "0.38"
 features = [
     "fs",
     "process",
     "param",
+    "system",
     "thread",
 ]
 
Index: procfs/src/lib.rs
===================================================================
--- procfs.orig/src/lib.rs
+++ procfs/src/lib.rs
@@ -700,7 +700,7 @@ pub fn kernel_config() -> ProcResult<Has
             unreachable!("flate2 feature not enabled")
         }
     } else {
-        let kernel = rustix::process::uname();
+        let kernel = rustix::system::uname();
 
         let filename = format!("{}-{}", BOOT_CONFIG, kernel.release().to_string_lossy());
 
